| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ContactPresences Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, LastActivityAndStatuses >.

## Public Member Functions

| ContactPresences ()
| ContactPresences (const QMap< uint, LastActivityAndStatuses > &a)
ContactPresences & | operator= (const QMap< uint, LastActivityAndStatuses > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, LastActivityAndStatuses>, but needed to have a discrete type in the Qt type system.

Mapping returned by GetPresence and signalled by PresenceUpdate, where the keys are contacts and the values represent their presences.

## Constructor & Destructor Documentation

Tp::ContactPresences::ContactPresences | ( |  | ) |

inline

Tp::ContactPresences::ContactPresences | ( | const QMap< uint, LastActivityAndStatuses > & | a | ) |

inline

## Member Function Documentation

ContactPresences& Tp::ContactPresences::operator= | ( | const QMap< uint, LastActivityAndStatuses > & | a | ) |

inline